{% extends 'base.html.twig' %}

{% block title %}Hello PublicationController!{% endblock %}

{% block body %}

    <div class="container">
        <div class="col-12 timeline box-timeline">
            <h1>Favs de {{user.nick}}</h1>
            <hr>
            <div class="box-content"> 
                {% if pagination is not empty %}
                    {% for like in pagination %}
                        {% set publication=like.publication %}
                        <div class="publication-item col-12">
                            <div class="row">
                                <div class="publication-user text-center col-2">
                                    {% if publication.user.image !=null %}
                                        <img src="{{asset('uploads/users/'~publication.user.image)}}" alt="" />
                                    {% else %}
                                        <img src="{{asset('uploads/users/default-user-icon.png')}}" alt="" />

                                    {% endif %}
                                </div>
                                <div class="publication-content text-center col-9">
                                    <p class="text-left">
                                        <a href="{{path('user_profile',{'nickname':publication.user.nick})}}" class="pub-name-user">
                                            {{publication.user.name}} {{publication.user.surname}}
                                        </a>
                                        -{{publication.user.nick}}-
                                        <span class="pub-date">
                                            {{publication.createdAt|long_time}}
                                        </span>
                                        {% if publication.user.id == app.user.id %}
                                            <i data-id="{{publication.id}}" class="fas fa-trash-alt btn-remove-pub"></i>
                                        {% endif %}
                                    </p>
                                    {{publication.text}}
                                    <br>
                                    {% if publication.image !=null %}
                                        <img src="{{asset('uploads/publications/images/'~publication.image)}}" class="img-fluid pub-image" alt="">
                                        <br>
                                        <i class="fas fa-eye-slash btn-image"></i>
                                    {% endif %}
                                    {% if publication.document != null %}
                                        <a href="{{asset('uploads/publications/documents/'~publication.document)}}" target="_blank">
                                            <h3><i class="fas fa-file-download"></i></h3>
                                        </a>
                                    {% endif %}
                                    <div class="div-btn-like float-left">
                                        <i class="far fa-heart btn-like
                                           {% if app.user|liked(publication)==true %}
                                               d-none
                                           {% endif %}
                                           " data-toggle="tooltip" data-placement="bottom" title="Me gusta" data-id="{{publication.id}}"></i>

                                        <i class="fas fa-heart btn-dislike
                                           {% if app.user|liked(publication)==false %}
                                               d-none
                                           {% endif %}
                                           " data-toggle="tooltip" data-placement="bottom" title="Ya no Me gusta" data-id="{{publication.id}}"></i>
                                    </div>
                                </div>
                            </div>
                            <hr>    
                        </div>                                      
                    {% endfor %}
                {% else %}
                    <h2> No tiene ningún fav todavía</h2>
                {% endif %}
            </div>
            <div class="navigation">
                {{ knp_pagination_render(pagination) }}
            </div>     
        </div>    
    {% endblock %}
    {% block javascripts %}
        <script src="{{asset('assets/js/home.js')}}"></script>
    {% endblock %}


